module UU
  module Finman
    module BusinessCase
      # Enumeration of available states for Business case state change.
      class BusinessCaseState

        # Business case active state. Value is <code>ACTIVE</code>
        ACTIVE = 'ACTIVE'

        # Business case closed state. Value is <code>CLOSED</code>
        CLOSED = 'CLOSED'

        # Business case attention state. Value is <code>ATTENTION</code>
        ATTENTION = 'ATTENTION'

        # Business case problem state. Value is <code>PROBLEM</code>
        PROBLEM = 'PROBLEM'

        # Business case suspended state. Value is <code>SUSPENDED</code>
        SUSPENDED = 'SUSPENDED'

        # Business case failed state. Value is <code>FAILED</code>
        FAILED = 'FAILED'

        # Business case cancelled state. Value is <code>CANCELLED</code>
        CANCELLED = 'CANCELLED'

      end
    end
  end
end
